Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rim
Interface ClassificationType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, RegistryObjectType

All Known Implementing Classes:
  ClassificationTypeImpl

    public interface ClassificationType

extends RegistryObjectType

A representation of the model object 'Classification Type'. Classification is the mapping of the same named interface in ebRIM. It extends RegistryObject. A Classification specifies references to two registry entrys. The classifiedObject is id of the Object being classified. The classificationNode is id of the ClassificationNode classying the object

The following features are supported:

- `Classification Node`
- `Classification Scheme`
- `Classified Object`
- `Node Representation`

See Also:
  `RimPackage.getClassificationType()`

Method Summary
`java.lang.String` | `getClassificationNode()` Returns the value of the 'Classification Node' attribute.
`java.lang.String` | `getClassificationScheme()` Returns the value of the 'Classification Scheme' attribute.
`java.lang.String` | `getClassifiedObject()` Returns the value of the 'Classified Object' attribute.
`java.lang.String` | `getNodeRepresentation()` Returns the value of the 'Node Representation' attribute.
`void` | `setClassificationNode(java.lang.String value)` Sets the value of the '`Classification Node`' attribute.
`void` | `setClassificationScheme(java.lang.String value)` Sets the value of the '`Classification Scheme`' attribute.
`void` | `setClassifiedObject(java.lang.String value)` Sets the value of the '`Classified Object`' attribute.
`void` | `setNodeRepresentation(java.lang.String value)` Sets the value of the '`Node Representation`' attribute.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._2._1.rim.RegistryObjectType
`getAccessControlPolicy, getClassification, getDescription, getExternalIdentifier, getId, getName, getObjectType, getSlot, setAccessControlPolicy, setDescription, setId, setName, setObjectType`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getClassificationNode

    java.lang.String getClassificationNode()

  Returns the value of the 'Classification Node' attribute.

  If the meaning of the 'Classification Node' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Classification Node' attribute.
  See Also:
    `setClassificationNode(String)`, `RimPackage.getClassificationType_ClassificationNode()`

### setClassificationNode

    void setClassificationNode(java.lang.String value)

  Sets the value of the '`Classification Node`' attribute.

  Parameters:
    `value` - the new value of the 'Classification Node' attribute.
  See Also:
    `getClassificationNode()`

### getClassificationScheme

    java.lang.String getClassificationScheme()

  Returns the value of the 'Classification Scheme' attribute.

  If the meaning of the 'Classification Scheme' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Classification Scheme' attribute.
  See Also:
    `setClassificationScheme(String)`, `RimPackage.getClassificationType_ClassificationScheme()`

### setClassificationScheme

    void setClassificationScheme(java.lang.String value)

  Sets the value of the '`Classification Scheme`' attribute.

  Parameters:
    `value` - the new value of the 'Classification Scheme' attribute.
  See Also:
    `getClassificationScheme()`

### getClassifiedObject

    java.lang.String getClassifiedObject()

  Returns the value of the 'Classified Object' attribute.

  If the meaning of the 'Classified Object' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Classified Object' attribute.
  See Also:
    `setClassifiedObject(String)`, `RimPackage.getClassificationType_ClassifiedObject()`

### setClassifiedObject

    void setClassifiedObject(java.lang.String value)

  Sets the value of the '`Classified Object`' attribute.

  Parameters:
    `value` - the new value of the 'Classified Object' attribute.
  See Also:
    `getClassifiedObject()`

### getNodeRepresentation

    java.lang.String getNodeRepresentation()

  Returns the value of the 'Node Representation' attribute.

  If the meaning of the 'Node Representation' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Node Representation' attribute.
  See Also:
    `setNodeRepresentation(String)`, `RimPackage.getClassificationType_NodeRepresentation()`

### setNodeRepresentation

    void setNodeRepresentation(java.lang.String value)

  Sets the value of the '`Node Representation`' attribute.

  Parameters:
    `value` - the new value of the 'Node Representation' attribute.
  See Also:
    `getNodeRepresentation()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD